import {httpApi} from "../../request/httpApi";

export default {
  //获取历史报告
async getReportList(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archiveExaminingReport/getList',
        method: 'get',
        params: form,
      
    }, msg);
  },
  //一键检测
  async getExamining(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archiveExaminingReport/getExamining',
        method: 'get',
        params: form,
      
    }, msg);
  },
  //获取检测报告状态
  async getReportStatus(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archiveExaminingReport/getReportStatus',
        method: 'get',
        params: form,
      
    }, msg);
  },
  // 获取当前正在检测的报告信息/blade-archive/archiveExaminingReport/getCurrentExaminingInfo
  async getCurrentExaminingInfo(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archiveExaminingReport/getCurrentExaminingInfo',
        method: 'get',
        params: form,
      
    }, msg);
  },
}